Loading...
Searching...
No Matches
gtsam::KeyInfo Class Reference

## Detailed Description

Handy data structure for iterative solvers.

Inheritance diagram for gtsam::KeyInfo:

## Public Member Functions

| KeyInfo ()
| Default Constructor.
| KeyInfo (const GaussianFactorGraph &fg)
| Construct from Gaussian factor graph, use "Natural" ordering.
| KeyInfo (const GaussianFactorGraph &fg, const Ordering &ordering)
| Construct from Gaussian factor graph and a given ordering.
size_t | numCols () const
| Return the total number of columns (scalar variables = sum of dimensions).
const Ordering & | ordering () const
| Return the ordering.
std::vector< size_t > | colSpec () const
| Return a vector of dimensions ordered by ordering().
VectorValues | x0 () const
| Return VectorValues with zeros, of correct dimension.
Vector | x0vector () const
| Return zero Vector of correct dimension.

## Public Types

typedef std::map< Key, KeyInfoEntry > | Base

## Protected Member Functions

void | initialize (const GaussianFactorGraph &fg)

## Protected Attributes

Ordering | ordering_
size_t | numCols_

The documentation for this class was generated from the following files:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/linear/IterativeSolver.h
- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/linear/IterativeSolver.cpp